## libhangul 0.1.0

=== doc/Makefile ===
doc:
	doxygen

clean:
	rm -rf html

upload:
	cd html ; \
	scp -pr * $(USER)@hangul.kldp.net:/var/lib/gforge/chroot/home/groups/hangul/htdocs

## libhangul 0.0.9-1

=== debian/changelog ===
libhangul (0.0.9-1) unstable; urgency=low

  * New upstream release
  * Standard-Version: 3.8.0.
  * Remove obsolete /usr/bin/hanjac installation.
  * Add ${misc:Depends} on Depends for debhelper.
  * New binary package libhangul0-data, for arch independent data.

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 22 Dec 2008 12:53:47 +0900

libhangul (0.0.8-3) unstable; urgency=low

  * Install the new binary Hanja dictionary (hanja.bin) instead of the
    source hanja.txt.
  * Install the Hanja dictionary converter (hanjac) to the dev package.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 23 Apr 2008 02:02:35 +0900

libhangul (0.0.8-2) unstable; urgency=low

  * Inserted a missing function declaration (Closes: #477183)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 22 Apr 2008 03:34:25 +0900

libhangul (0.0.8-1) unstable; urgency=low

  * New upstream release
  * Corrected libhangul0-dbg Depends.
  * Removed python-hangul, which was abandoned by the upstream.

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 21 Apr 2008 15:32:45 +0900

libhangul (0.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #440293)
  * New -dbg debugging symbols package.
  * New python-hangul python interface package.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 29 Jan 2008 19:05:53 +0900

libhangul (0.0.6-2) unstable; urgency=low

  * Standard-Version: 3.7.3.
  * Added Homepage: field and removed homepage URLs from the descriptions.
  * Added Vcs-Browser and Vcs-Git fields.
  * Removed examples from -dev. These "examples" are designed as test
    programs, not good as examples.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 29 Jan 2008 17:28:42 +0900

libhangul (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 12 Jul 2007 16:02:51 +0900

libhangul (0.0.4-2) unstable; urgency=low

  * Initial release revised (Closes: #406703)
  * Put additional license info in debian/copyright.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 11 Feb 2007 14:42:43 +0900

libhangul (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #406703)

 -- Changwoo Ryu <cwryu@debian.org>  Sat,  6 Jan 2007 17:54:23 +0900

=== debian/control ===
Source: libhangul
Section: libs
Priority: optional
Maintainer: Changwoo Ryu <cwryu@debian.org>
Homepage: http://kldp.net/projects/hangul
Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
Standards-Version: 3.8.0
Build-Depends: cdbs (>= 0.4.48), autotools-dev, debhelper (>= 5)

Package: libhangul0
Section: libs
Architecture: any
Depends: libhangul0-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Hangul keyboard input library - runtime
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the shared library and the runtime data.

Package: libhangul0-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: Hangul keyboard input library - data
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the architecture independent data.

Package: libhangul-dev
Section: libdevel
Architecture: any
Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}
Description: Hangul keyboard input library - development files
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the header files and the static library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DBG_PACKAGES = libhangul0-dbg

DEB_DH_MAKESHLIBS_ARGS_libhangul0 := --version-info

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

=== debian/watch ===
version=3
http://kldp.net/frs/?group_id=362 /frs/download.php/.*/libhangul-(.*)\.tar\.gz

## libhangul 0.0.11

=== debian/changelog ===
libhangul (0.0.11-2) unstable; urgency=low

  * Build-Depends on pkg-config and check (Closes: #589440)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 18 Jul 2010 08:30:37 +0900

libhangul (0.0.11-1) unstable; urgency=low

  * New upstream release
  * Fix debian/watch for the new KLDP.net site
  * Use source format 3.0 (quilt)
  * Standards-Version: 3.9.0
  * Use debhelper7 and drop CDBS.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 18 Jul 2010 03:34:59 +0900

libhangul (0.0.10-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.3
  * Change the Section of the -dbg package to debug

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 01 Nov 2009 00:05:43 +0900

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,11 @@
 Homepage: http://kldp.net/projects/hangul
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
 Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
-Standards-Version: 3.8.0
-Build-Depends: cdbs (>= 0.4.48), autotools-dev, debhelper (>= 5)
+Standards-Version: 3.9.0
+Build-Depends: pkg-config,
+	       check (>= 0.9.8),
+	       autotools-dev,
+	       debhelper (>= 7.0.50)
 
 Package: libhangul0
 Section: libs
@@ -30,6 +33,19 @@
  .
  This package contains the architecture independent data.
 
+Package: libhangul0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}
+Description: Hangul keyboard input library - debugging symbols
+ This library implements Hangul keyboard input with various types of
+ Korean keyboards.  It is intended to be a base library of Korean
+ input methods on multiple platforms.
+ .
+ This package contains the debugging symbols. Most people will not need this
+ package.
+
 Package: libhangul-dev
 Section: libdevel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

.PHONY: override_dh_strip override_dh_makeshlibs

override_dh_strip:
	dh_strip --dbg-package=libhangul0-dbg

override_dh_makeshlibs:
	dh_makeshlibs --version-info

=== debian/watch ===
version=3
opts=filenamemangle=s/.*filename=(.*)/$1/,downloadurlmangle=s/\/projects\/hangul\/download\//\/frs\/download\.php\// \
  http://kldp.net/projects/hangul/download \
  /projects/hangul/download/[0-9]+\?filename=libhangul-(.*)\.tar\.gz

## libhangul 0.0.12

=== debian/changelog ===
libhangul (0.0.12-3) unstable; urgency=low

  * Move the translation to libhangul0-data
  * Team maintained by Debian Korean L10N
  * Don't install the *.la file anymore (closes: #621617)
  * Standard-Version: 3.9.2

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 13 Aug 2011 02:27:34 +0900

libhangul (0.0.12-2) unstable; urgency=low

  * Rewrite debian/copyright as the DEP-5 format
  * Install Korean translation and /usr/bin/hangul

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 27 Jan 2011 12:24:43 +0900

libhangul (0.0.12-1) unstable; urgency=low

  * New upstream release
  * Standard-Version: 3.9.1

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 08 Jan 2011 21:30:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libhangul
 Section: libs
 Priority: optional
-Maintainer: Changwoo Ryu <cwryu@debian.org>
+Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: http://kldp.net/projects/hangul
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
 Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Build-Depends: pkg-config,
 	       check (>= 0.9.8),
 	       autotools-dev,
@@ -49,7 +50,7 @@
 Package: libhangul-dev
 Section: libdevel
 Architecture: any
-Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}
+Depends: libhangul0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Hangul keyboard input library - development files
  This library implements Hangul keyboard input with various types of
  Korean keyboards.  It is intended to be a base library of Korean

## libhangul 0.1.0

=== debian/changelog ===
libhangul (0.1.0-3) unstable; urgency=low

  [ Changwoo Ryu ]
  * Multi-Arch: same on the -dev package
  * debian/copyright: Fix a typo
  * Add libhangul1.symbols for dpkg-gensymbols
  * Add Pre-Depends on multiarch-support
  * Add git-buildpackage config
  * Remove unneeded build dependency on quilt
  * Fix lintian warnings
  * Add lintian overrides for hardening-no-fortify-functions false-positive
  * Standards-Version: 3.9.4

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 02 Feb 2013 22:58:35 +0900

libhangul (0.1.0-2) unstable; urgency=low

  [ Changwoo Ryu ]
  * Correct debian/watch. The upstream moved to Google Code.
  * debian/copyright:
    - Use the copyright format 1.0
  * Use debhelper 9
  * Specify dh_makeshlibs --version-info version
  * Multiarch transition
  * Standard-Version: 3.9.3

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 20 May 2012 02:33:36 +0900

libhangul (0.1.0-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New upstream version
  * Renamed packages as libhangul1*

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 22 Oct 2011 16:15:06 +0900

libhangul (0.0.12-4) unstable; urgency=low

  [ Changwoo Ryu ]
  * Rename libhangul0-data as libhangul-data, for easy transition to
    libhangul 0.1.x.
  * Exclude /usr/bin/hangul from generating debugging symbols

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 21 Oct 2011 23:48:43 +0900

=== debian/control ===
Source: libhangul
Section: libs
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: http://kldp.net/projects/hangul
Vcs-Browser: http://git.debian.org/?p=l10n-korean/libhangul.git
Vcs-Git: git://git.debian.org/git/l10n-korean/libhangul.git
Standards-Version: 3.9.4
Build-Depends: autopoint,
	       check (>= 0.9.8),
	       debhelper (>= 9~),
               autotools-dev,
               dh-autoreconf,
               pkg-config,

Package: libhangul1
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: libhangul-data (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - runtime
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the shared library and the runtime data.

Package: libhangul-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libhangul0-data
Conflicts: libhangul0-data
Multi-Arch: foreign
Description: Hangul keyboard input library - data
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the architecture independent data.

Package: libhangul1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libhangul1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - debugging symbols
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the debugging symbols. Most people will not need this
 package.

Package: libhangul-dev
Section: libdevel
Architecture: any
Depends: libhangul1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Hangul keyboard input library - development files
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the header files and the static library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

.PHONY: override_dh_strip

override_dh_strip:
	dh_strip --dbg-package=libhangul1-dbg

=== debian/watch ===
version=3
http://code.google.com/p/libhangul/downloads/list .*/libhangul-(\d[\d.]*)\.(?:tar\.gz|tar\.bz2)

## libhangul 0.1.0%2Bgit20191003

=== debian/tests/control ===
# Run tests
Tests: run-test
Depends: build-essential, libhangul-dev, check (>= 0.9.8), pkg-config

## libhangul 0.1.0+git20170815

=== doc/Makefile ===
doc: Doxyfile hangulkeyboards.dox
	doxygen

hangulkeyboards.dox: gen_hangulkeyboards.py
	./gen_hangulkeyboards.py > $@

Doxyfile: Doxyfile.in
	cd .. && ./config.status doc/$@

clean:
	rm -rf html

=== debian/changelog ===
libhangul (0.1.0+git20170815-2) unstable; urgency=medium

  * debian/copyright: Update the copyright info
  * patch: Define PATH_MAX if it is undefined
  * debian/control:
    - Update Vcs-* to the new salsa.d.o repository
    - Standards-Version: 4.1.2

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 25 Dec 2017 22:20:27 +0900

libhangul (0.1.0+git20170815-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version from git
  * debian/control:
    - Standards-Version: 4.1.1
  * Automatic debug package
    - Remove -dbg package from debian/control
    - Remove dh_strip override from debian/rules
    - Use debhelper (>= 9.20160114)
  * Remove lintian-overrides file; no more false-positive

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 28 Nov 2017 03:20:32 +0900

libhangul (0.1.0-4) unstable; urgency=low

  [ Changwoo Ryu ]
  * debian/control:
    - Correct Vcs-* fields
    - Standards-Version: 3.9.8
    - Remove explicit multiarch-support from Pre-Depends
  * debian/rules: Use hardening=+all build flag
  * debian/{control,copyright,watch}: Update the upstream URL

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 20 Feb 2017 23:48:36 +0900

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	test -f ChangeLog || touch ChangeLog
	test -f config.rpath || touch config.rpath
	intltoolize --copy --force
	dh_autoreconf

# The upstream distributes the git-based changelog, so we can't get that
# changelog when we directly use the upstream git..
.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

## libhangul 0.1.0+git20191003

=== bindings/python/Makefile ===

all:
	python setup.py build

clean:
	rm -rf build

install:
	python setup.py install

=== debian/changelog ===
libhangul (0.1.0+git20191003-2ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:34 +0100

libhangul (0.1.0+git20191003-2ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:55 +0200

libhangul (0.1.0+git20191003-2ubuntu1) hirsute; urgency=medium

  * Allow stderr in autopkgtest. It should be ported to the new check API.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Mar 2021 02:20:37 +0000

libhangul (0.1.0+git20191003-2) unstable; urgency=medium

  * debian/apparmor/abstraction/libhangul:
    - Move from debian/libhangul.apparmor
    - Fix path
    - Add user-defined keyboards loading to the apparmor abstraction
  * debian/tests/run-test: Use mktemp for executable path
  * debian/patches/path-max.patch: Dropped. The upstream doesn't use
    PATH_MAX anymore

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 05 Dec 2019 14:19:42 +0900

libhangul (0.1.0+git20191003-1) unstable; urgency=medium

  * New upstream version from git
  * debian/libhangul1.symbols: Updated for 0.1.0+git20191003
  * debian/changelog: Remove trailing newline
  * debian/control: Build-Depends on debhelper-compat (= 12) instead of
    debhelper
  * debian/compat: Dropped
  * debian/control: Add "Rules-Requires-Root: no"
  * debian/copyright: Use https for the copyright format URL
  * debian/control: Bump Standards-Version to 4.4.1
  * debian/libhangul1.symbols: Add "Build-Depends-Package: libhangul-dev"
  * debian/control: Drop useless Build-Depends on autotools-dev, dh-autoreconf
  * debian/tests/{control,run-test}: Add autopkgtest
  * debian/salsa-ci.yml: Add Salsa CI config
  * debian/{libhangul.apparmor,libhangul-data.install}: Add apparmor
    abstraction for libhangul

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 13 Nov 2019 13:47:39 +0900

=== debian/control ===
Source: libhangul
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Section: libs
Priority: optional
Build-Depends: autopoint,
               check (>= 0.9.8),
               debhelper-compat (= 12),
               intltool,
               pkg-config,
               libexpat1-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/choehwanjin/libhangul
Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git
Rules-Requires-Root: no

Package: libhangul1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhangul-data (>= ${source:Version}),
Multi-Arch: same
Description: Hangul keyboard input library - runtime
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the shared library and the runtime data.

Package: libhangul-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libhangul0-data
Conflicts: libhangul0-data
Multi-Arch: foreign
Description: Hangul keyboard input library - data
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the architecture independent data.

Package: libhangul-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libhangul1 (= ${binary:Version}),
Multi-Arch: same
Description: Hangul keyboard input library - development files
 This library implements Hangul keyboard input with various types of
 Korean keyboards.  It is intended to be a base library of Korean
 input methods on multiple platforms.
 .
 This package contains the header files and the static library.

=== debian/tests/control ===
# Run tests
Tests: run-test
Depends: build-essential, libhangul-dev, check (>= 0.9.8), pkg-config
Restrictions: allow-stderr

=== debian/watch ===
version=4
 https://github.com/choehwanjin/libhangul/releases \
 .*/libhangul-@ANY_VERSION@@ARCHIVE_EXT@

## libhangul 0.1.0+git20230314

=== CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

project(libhangul
    VERSION 0.1.0
)

set(LIBHANGUL_SOVERSION_MAJOR 1)
set(LIBHANGUL_SOVERSION_MINOR 0)
set(LIBHANGUL_SOVERSION_PATCH 1)

option(BUILD_SHARED_LIBS
    "Enable/Disable shared library build."
    ON
)

option(ENABLE_EXTERNAL_KEYBOARDS
    "Enable/Disable external keyboard xml file loading feature."
    ON
)

option(ENABLE_UNIT_TEST
    "Enable/Disable unit test."
    ON
)

include(CTest)

include(GNUInstallDirs)
include(CheckIncludeFiles)
set(LIBHANGUL_INCLUDE_DIR "${CMAKE_INSTALL_INCLUDEDIR}/hangul-1.0")
set(LIBHANGUL_LIBRARY_DIR "${CMAKE_INSTALL_LIBDIR}")

add_subdirectory(hangul)
add_subdirectory(data/hanja)
add_subdirectory(data/keyboards)
add_subdirectory(tools)
add_subdirectory(po)

if(BUILD_TESTING)
    add_subdirectory(test EXCLUDE_FROM_ALL)
endif()

check_include_files(glob.h HAVE_GLOB_H)
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

include(CMakePackageConfigHelpers)
configure_package_config_file(hangul-config.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/hangul-config.cmake"
    INSTALL_DESTINATION
        "${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}"
    PATH_VARS
        LIBHANGUL_INCLUDE_DIR
        LIBHANGUL_LIBRARY_DIR
)

write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/hangul-config-version.cmake"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/hangul-config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/hangul-config-version.cmake"
    DESTINATION
        "${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}"
    COMPONENT
        dev
)

=== hangul/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

include(GNUInstallDirs)

if(ENABLE_EXTERNAL_KEYBOARDS)
    find_package(EXPAT)
endif()

set(hangul_PUBLIC_HEADERS
    hangul.h
)

set(hangul_PRIVATE_HEADERS
    hangul-gettext.h
    hangulkeyboard.h
    hangulinternals.h
    hanjacompatible.h
)

add_library(hangul
    ${hangul_PUBLIC_HEADERS}
    ${hangul_PRIVATE_HEADERS}
    hangulctype.c
    hangulinputcontext.c
    hangulkeyboard.c
    hanja.c
)

target_compile_definitions(hangul
    PRIVATE -DHAVE_CONFIG_H
    PRIVATE -DLOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\"
    PRIVATE -DLIBHANGUL_DEFAULT_HANJA_DIC=\"${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}/hanja/hanja.txt\"
    PRIVATE -DLIBHANGUL_DATA_DIR=\"${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}\"
    PRIVATE -DTOP_SRCDIR=\"${CMAKE_SOURCE_DIR}\"
)

target_include_directories(hangul
    PRIVATE "${CMAKE_BINARY_DIR}"
)

if(ENABLE_EXTERNAL_KEYBOARDS)
    target_compile_definitions(hangul
        PRIVATE -DENABLE_EXTERNAL_KEYBOARDS=1
    )

    target_include_directories(hangul
        PRIVATE ${EXPAT_INCLUDE_DIRS}
    )

    target_link_libraries(hangul LINK_PRIVATE
        ${EXPAT_LIBRARIES}
    )
endif() # ENABLE_EXTERNAL_KEYBOARDS

set_target_properties(hangul
    PROPERTIES
        VERSION "${LIBHANGUL_SOVERSION_MAJOR}.${LIBHANGUL_SOVERSION_MINOR}.${LIBHANGUL_SOVERSION_PATCH}"
        SOVERSION "${LIBHANGUL_SOVERSION_MAJOR}"
)

install(TARGETS hangul
    DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
)

install(FILES ${hangul_PUBLIC_HEADERS}
    DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/hangul-1.0
)

=== po/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

find_package(Gettext)
include(GNUInstallDirs)

file(READ LINGUAS LINGUAS)
string(REPLACE "\n" ";" LINGUAS "${LINGUAS}")

foreach(lang ${LINGUAS})
    GETTEXT_PROCESS_PO_FILES(${lang} ALL
        INSTALL_DESTINATION "${CMAKE_INSTALL_LOCALEDIR}"
        PO_FILES ${lang}.po
    )
endforeach()

find_program(XGETTEXT_EXECUTABLE xgettext)
set(PACKAGE_NAME libhangul)
set(DOMAIN libhangul)
set(COPYRIGHT_HOLDER "Choe Hwanjin")
set(MSGID_BUGS_ADDRESS "https://github.com/libhangul/libhangul")

add_custom_target(update-po)

add_custom_target(update-pot
    COMMAND
        ${XGETTEXT_EXECUTABLE}
            --default-domain=${DOMAIN}
            --directory="${CMAKE_SOURCE_DIR}"
            --add-comments=TRANSLATORS:
            --keyword=_
            --keyword=N_
            --files-from="${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in"
            --copyright-holder="${COPYRIGHT_HOLDER}"
            --package-name="${PACKAGE_NAME}"
            --package-version="${PACKAGE_VERSION}"
            --msgid-bugs-address="${MSGID_BUGS_ADDRESS}"
            --output-dir="${CMAKE_CURRENT_SOURCE_DIR}"
            --output=${DOMAIN}.pot
)
add_dependencies(update-po update-pot)

foreach(lang ${LINGUAS})
    add_custom_target(update-po-${lang}
        COMMAND "${GETTEXT_MSGMERGE_EXECUTABLE}" --update --lang=${lang} ${lang}.po ${DOMAIN}.pot
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${DOMAIN}.pot"
    )
    add_dependencies(update-po update-po-${lang})
endforeach()

=== test/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

find_package(PkgConfig)

add_executable(test-hangul
    hangul.c
)
target_compile_definitions(test-hangul PRIVATE
    TEST_LIBHANGUL_KEYBOARD_PATH=\"${CMAKE_BINARY_DIR}/data/keyboards\"
)
target_link_libraries(test-hangul LINK_PRIVATE hangul)

add_executable(test-hanja
    hanja.c
)
target_compile_definitions(test-hanja PRIVATE
    TEST_HANJA_TXT=\"${CMAKE_SOURCE_DIR}/data/hanja/hanja.txt\"
)
target_link_libraries(test-hanja LINK_PRIVATE hangul)

# unit test
if(ENABLE_UNIT_TEST)

pkg_check_modules(CHECK REQUIRED check)

add_executable(unittest
    test.c
)

target_compile_definitions(unittest PRIVATE
    TEST_LIBHANGUL_KEYBOARD_PATH=\"${CMAKE_BINARY_DIR}/data/keyboards\"
    TEST_SOURCE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)
target_include_directories(unittest PRIVATE ${CHECK_INCLUDE_DIRS})
target_link_libraries(unittest PRIVATE hangul ${CHECK_LDFLAGS})

add_test(NAME unittest
    COMMAND ./unittest
)

endif() # ENABLE_UNIT_TEST)

=== tools/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

add_executable(tool-hangul
    hangul.c
)
target_compile_definitions(tool-hangul
    PRIVATE PACKAGE_NAME=\"${PROJECT_NAME}\"
    PRIVATE PRIVATE PACKAGE_VERSION=\"${PROJECT_VERSION}\"
)
set_target_properties(tool-hangul
    PROPERTIES OUTPUT_NAME hangul
)
target_link_libraries(tool-hangul
    LINK_PRIVATE hangul
)

=== data/hanja/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.0)

install(
    FILES
        hanja.txt
        mssymbol.txt
    DESTINATION
        "${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}/hanja"
)

=== data/keyboards/CMakeLists.txt ===
# libhangul
# Copyright 2021 Choe Hwanjin
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.2)

#include(GNUInstallDirs)
find_package(Gettext)

set(keyboard_file_list
    hangul-keyboard-2.xml
    hangul-keyboard-2y.xml
    hangul-keyboard-39.xml
    hangul-keyboard-3f.xml
    hangul-keyboard-32.xml
    hangul-keyboard-3s.xml
    hangul-keyboard-3y.xml
    hangul-keyboard-ro.xml
    hangul-keyboard-ahn.xml
)

add_custom_target(keyboard ALL
    DEPENDS
        ${keyboard_file_list}
        hangul-combination-default.xml
        hangul-combination-full.xml
)

set(MSGFMT_COMMAND env GETTEXTDATADIRS=\"${CMAKE_CURRENT_SOURCE_DIR}\" \"${GETTEXT_MSGFMT_EXECUTABLE}\")

# generating keyboard translation rule
foreach(i ${keyboard_file_list})
    string(REGEX REPLACE "\\.xml$" "" keyboard_name "${i}")
    add_custom_command(
        OUTPUT
            "${keyboard_name}.name.xml.in"
        COMMAND
            grep \"xml version=\" "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" > "${keyboard_name}.name.xml.in"
        COMMAND
            grep \"<hangul-keyboard\" "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" >> "${keyboard_name}.name.xml.in"
        COMMAND
            grep \"<name>\" "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" >> "${keyboard_name}.name.xml.in"
        COMMAND
            grep \"</hangul-keyboard\" "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" >> "${keyboard_name}.name.xml.in"
        DEPENDS
            "${keyboard_name}.xml.template"
    )

    add_custom_command(
        OUTPUT
            "${keyboard_name}.name.xml"
        COMMAND
            ${MSGFMT_COMMAND} --xml --template "${keyboard_name}.name.xml.in" -d "${CMAKE_SOURCE_DIR}/po" -o "${keyboard_name}.name.xml"
        DEPENDS
            "${CMAKE_CURRENT_BINARY_DIR}/${keyboard_name}.name.xml.in"
    )

    add_custom_command(
        OUTPUT
            "${keyboard_name}.xml"
        COMMAND
            sed -i.tmp -e '1 D'
                    -e '/^<hangul-keyboard/D'
                    -e '/^<\\/hangul-keyboard/D'
                    -e 's/^ *<name/    <name/' "${keyboard_name}.name.xml"
        COMMAND
            sed
                    -e '/<name>/r ${keyboard_name}.name.xml'
                    -e '/<name>/D'
                    "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" > "${keyboard_name}.xml"
        BYPRODUCTS
            "${keyboard_name}.name.xml.tmp"
        DEPENDS
            "${CMAKE_CURRENT_BINARY_DIR}/${keyboard_name}.name.xml"
            "${keyboard_name}.xml.template"
    )

    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/${keyboard_name}.xml"
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}/keyboards"
    )
endforeach()

add_custom_command(
    OUTPUT
        hangul-combination-default.xml
    COMMAND
        "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/hangul-combination-default.xml" hangul-combination-default.xml
    DEPENDS
        "${CMAKE_CURRENT_SOURCE_DIR}/hangul-combination-default.xml"
)

add_custom_command(
    OUTPUT
        hangul-combination-full.xml
    COMMAND
        "${CMAKE_COMMAND}" -E copy "${CMAKE_CURRENT_SOURCE_DIR}/hangul-combination-full.xml" hangul-combination-full.xml
    DEPENDS
        "${CMAKE_CURRENT_SOURCE_DIR}/hangul-combination-full.xml"
)

install(
    FILES
        hangul-combination-default.xml
        hangul-combination-full.xml
    DESTINATION
        "${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}/keyboards"
)

=== debian/changelog ===
libhangul (0.1.0+git20230314-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:11 +0200

libhangul (0.1.0+git20230314-2) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Fix FTBFS on double build (Closes: #1046186)

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 14 Sep 2023 16:48:36 +0530

libhangul (0.1.0+git20230314-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version from git
    - debian/control: Remove intltool Build-Depends.
  * debian/{control,copyright,watch}: Update the upstream URI
  * debian/control: Bump debhelper-compat to 13
  * debian/not-installed: New file to fix dh_missing failure
  * debian/libhangul-data.lintian-overrides: Added to avoid false negative
    lintian notices.
  * Update Standards-Version to 4.5.1, no changes needed.
  * Drop unnessary dependency on dh-autoreconf.
  * Remove constraints unnecessary since buster (oldstable):
    - Build-Depends: Drop versioned constraint on check (>= 0.9.8).

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 03 Jun 2023 22:27:50 +0900

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Section: libs
 Priority: optional
 Build-Depends: autopoint,
-               check (>= 0.9.8),
-               debhelper-compat (= 12),
-               intltool,
+               check,
+               debhelper-compat (= 13),
                pkg-config,
                libexpat1-dev,
-Standards-Version: 4.4.1
-Homepage: https://github.com/choehwanjin/libhangul
+Standards-Version: 4.5.1
+Homepage: https://github.com/libhangul/libhangul
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,19 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 .PHONY: override_dh_autoreconf
 override_dh_autoreconf:
 	test -f ChangeLog || touch ChangeLog
-	test -f config.rpath || touch config.rpath
-	intltoolize --copy --force
 	dh_autoreconf
+
+.PHONY: override_dh_clean
+override_dh_clean:
+	if [ -f ChangeLog ] && ! [ -s ChangeLog ]; then \
+	    rm  -f ChangeLog; \
+	fi
+	dh_clean
 
 # The upstream distributes the git-based changelog, so we can't get that
 # changelog when we directly use the upstream git..

=== debian/watch ===
version=4
 https://github.com/libhangul/libhangul/tags \
 .*/libhangul-@ANY_VERSION@@ARCHIVE_EXT@

## libhangul 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,15 +15,15 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 project(libhangul
-    VERSION 0.1.0
+    VERSION 0.2.0
 )
 
 set(LIBHANGUL_SOVERSION_MAJOR 1)
-set(LIBHANGUL_SOVERSION_MINOR 0)
-set(LIBHANGUL_SOVERSION_PATCH 1)
+set(LIBHANGUL_SOVERSION_MINOR 1)
+set(LIBHANGUL_SOVERSION_PATCH 0)
 
 option(BUILD_SHARED_LIBS
     "Enable/Disable shared library build."
@@ -31,8 +31,8 @@
 )
 
 option(ENABLE_EXTERNAL_KEYBOARDS
-    "Enable/Disable external keyboard xml file loading feature."
-    ON
+    "Enable/Disable external keyboard xml file loading feature (experimental)."
+    OFF
 )
 
 option(ENABLE_UNIT_TEST
@@ -49,7 +49,9 @@
 
 add_subdirectory(hangul)
 add_subdirectory(data/hanja)
+if(ENABLE_EXTERNAL_KEYBOARDS)
 add_subdirectory(data/keyboards)
+endif()
 add_subdirectory(tools)
 add_subdirectory(po)

=== hangul/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 include(GNUInstallDirs)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 find_package(Gettext)
 include(GNUInstallDirs)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 find_package(PkgConfig)

=== data/keyboards/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.5)
 
 #include(GNUInstallDirs)
 find_package(Gettext)
@@ -68,18 +68,24 @@
             "${CMAKE_CURRENT_BINARY_DIR}/${keyboard_name}.name.xml.in"
     )
 
+    set(xml_indent "    ")
     add_custom_command(
         OUTPUT
             "${keyboard_name}.xml"
         COMMAND
-            sed -i.tmp -e '1 D'
+            sed -i.tmp
+                    -e '1 D'
                     -e '/^<hangul-keyboard/D'
                     -e '/^<\\/hangul-keyboard/D'
-                    -e 's/^ *<name/    <name/' "${keyboard_name}.name.xml"
+                    -e 's/^ *<name/${xml_indent}<name/'
+                    "${keyboard_name}.name.xml"
+        COMMAND
+            sed -i.tmp
+                    -e '/<name>/D'
+                    "${keyboard_name}.name.xml"
         COMMAND
             sed
                     -e '/<name>/r ${keyboard_name}.name.xml'
-                    -e '/<name>/D'
                     "${CMAKE_CURRENT_SOURCE_DIR}/${keyboard_name}.xml.template" > "${keyboard_name}.xml"
         BYPRODUCTS
             "${keyboard_name}.name.xml.tmp"

=== debian/changelog ===
libhangul (0.2.0-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
    - Back to using the release tarball.
    - debian/libhangul1.symbols: Update the exported symbols.
    - debian/copyright: Update the copyright years.
  * Build-Depends on pkgconf instead of obsolete pkg-config
  * Standards-Version: 4.7.2

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 11 May 2025 22:03:10 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libhangul
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: autopoint,
                check,
                debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                libexpat1-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/libhangul/libhangul
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/libhangul
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/libhangul.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 	test -f ChangeLog || touch ChangeLog
 	dh_autoreconf
 
+CONFIGURE_FLAGS = --enable-external-keyboards
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
 .PHONY: override_dh_clean
 override_dh_clean:
 	if [ -f ChangeLog ] && ! [ -s ChangeLog ]; then \

=== debian/tests/control ===
# Run tests
Tests: run-test
Depends: build-essential, libhangul-dev, check, pkg-config
